| Wheelchair Control for Windows Mobile Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Pages
Public Member Functions | Properties | Private Attributes | List of all members
WheelchairControlWM.SettingsClass Class Reference

Class to store settings to smartphone's flash. More...

## Public Member Functions
| SettingsClass ()
| Default constructor. More...
void | Save ()
| Save settings to file. More...

## Properties
IPAddress | TargetIP`[get, set]`
| Target IP setting. More...
Byte | Gain`[get, set]`
| Gain setting. More...
Boolean | ResetIdleTimerEnabled`[get, set]`
| Reset idle timer setting. More...
Boolean | RemoteStartEnabled`[get, set]`
| Remote start enabled setting. More...

## Private Attributes
const String | DEFAULT_CONFIG_FILE_ADDRESS = @"\WheelchairControlSettings.ini"
| Settings file path. More...
IPAddress | targetIp = null
| Ip address of target. More...
Byte | gain = 0
| Trackbar gain last saved value; More...
Boolean | resetIdleTimer = true
| Checkbox reset idle timer check state. More...
Boolean | enableRemoteStart = true
| Checkbox enable remote start check state. More...

## Detailed Description

Class to store settings to smartphone's flash.

Definition at line 11 of file SettingsClass.cs.

## Constructor & Destructor Documentation

WheelchairControlWM.SettingsClass.SettingsClass | ( |  | ) |

Default constructor.

Reads configuration from default file.

DEFAULT_CONFIG_FILE_ADDRESS

Definition at line 91 of file SettingsClass.cs.

## Member Function Documentation

void WheelchairControlWM.SettingsClass.Save | ( |  | ) |

Save settings to file.

DEFAULT_CONFIG_FILE_ADDRESS

Definition at line 130 of file SettingsClass.cs.

## Member Data Documentation

const String WheelchairControlWM.SettingsClass.DEFAULT_CONFIG_FILE_ADDRESS = @"\WheelchairControlSettings.ini"
| private

Settings file path.

Definition at line 18 of file SettingsClass.cs.

Boolean WheelchairControlWM.SettingsClass.enableRemoteStart = true
| private

Checkbox enable remote start check state.

Definition at line 42 of file SettingsClass.cs.

Byte WheelchairControlWM.SettingsClass.gain = 0
| private

Trackbar gain last saved value;

Definition at line 32 of file SettingsClass.cs.

Boolean WheelchairControlWM.SettingsClass.resetIdleTimer = true
| private

Checkbox reset idle timer check state.

Definition at line 37 of file SettingsClass.cs.

IPAddress WheelchairControlWM.SettingsClass.targetIp = null
| private

Ip address of target.

Definition at line 27 of file SettingsClass.cs.

## Property Documentation

Byte WheelchairControlWM.SettingsClass.Gain
| get set

Gain setting.

Definition at line 61 of file SettingsClass.cs.

Boolean WheelchairControlWM.SettingsClass.RemoteStartEnabled
| get set

Remote start enabled setting.

Definition at line 79 of file SettingsClass.cs.

Boolean WheelchairControlWM.SettingsClass.ResetIdleTimerEnabled
| get set

Reset idle timer setting.

Definition at line 70 of file SettingsClass.cs.

IPAddress WheelchairControlWM.SettingsClass.TargetIP
| get set

Target IP setting.

Definition at line 52 of file SettingsClass.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control WM/SettingsClass.cs